#include <Wire.h>
#include <Servo.h>


#define Slave_adress 0x04
 int s,state = 0;

Servo tServo;


void setup() {
  Serial.begin(9600);
  tServo.attach(6);
  Wire.begin(Slave_adress);
  Wire.onReceive(Motormove);
  Wire.onRequest(senddata);
  Serial.print("Ready!");
  
}

void loop() {
  delay(100);
}

void Motormove(int degree){
while(Wire.available()){
  s = Wire.read();
  Serial.print(" Winkel beträgt: ");
  Serial.println(s);
  if(s<=180){
  tServo.write(s);
  }
  else{
  Serial.println("Error.");
  }
}
}


void senddata(){
Wire.write(state);
}

